task muse {

    File ref_dir
    String fasta
    File dbsnp_dir
    String dbsnp
    File normal_bam
    File normal_bam_index
    File tumor_bam
    File tumor_bam_index
    String sample
    String muse_docker
    String cluster_config
    String disk_size


    command <<<
        ./MuSE call –O ${sample} –f ${ref_dir}/${fasta} ${tumor_bam} ${normal_bam}
        ./MuSE sump -I ${sample}.MuSE.txt -E –O ${sample}.MuSE.TN.vcf –D ${dbsnp_dir}/${dbsnp}
    >>>

    runtime {
        docker:muse_docker
        cluster: cluster_config
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }
    output {
        File muse_vcf = "${sample}.MuSE.TN.vcf"
    }
}
